package com.njcn.advance.service.govern.voltage;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.param.govern.voltage.IncomingLineParam;
import com.njcn.advance.pojo.po.govern.voltage.SgIncomingLine;
import com.njcn.advance.pojo.vo.govern.voltage.IncomingLineVO;
import com.njcn.advance.pojo.vo.govern.voltage.SgOption;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-02-29
 */
public interface ISgIncomingLineService extends IService<SgIncomingLine> {

    List<IncomingLineVO> incomingLineList(String userId);

    String addIncomingLine(IncomingLineParam incomingLineParam);

    boolean updateIncomingLine(IncomingLineParam.IncomingLineUpdateParam updateParam);

    boolean deleteIncomingLineData(List<String> ids);

    List<SgOption> lineList();
}
